=== debian/changelog ===
ros-dashing-rmw-cyclonedds-cpp (0.7.0-1bionic) bionic; urgency=high

  * Provide a dummy readcdr function if needed
  * Fix serialization on non-32-bit, big-endian systems (#159 <https://github.com/ros2/rmw_cyclonedds/issues/159>)
  * implement safer align_ function (#141 <https://github.com/ros2/rmw_cyclonedds/issues/141>)
  * Enable use of Cyclone DDS security features (#123 <https://github.com/ros2/rmw_cyclonedds/issues/123>)
  * Clean up package xml dependencies (#132 <https://github.com/ros2/rmw_cyclonedds/issues/132>)
  * API changes to sync with one Participant per Context change in rmw_fastrtps (#106 <https://github.com/ros2/rmw_cyclonedds/issues/106>)
  * Improve security logic and memory management
  * Include incompatible_qos_events_statuses.h only if rmw >= 0.8.2
  * Fix memory leaks
  * Support for ON_REQUESTED_INCOMPATIBLE_QOS and ON_OFFERED_INCOMPATIBLE_QOS events (#125 <https://github.com/ros2/rmw_cyclonedds/issues/125>)
  * Update conditional compile logic
  * uncrustify (#124 <https://github.com/ros2/rmw_cyclonedds/issues/124>)
  * Enable use of Cyclone DDS security features
  * Prevent undefined behavior when serializing empty vector (#122 <https://github.com/ros2/rmw_cyclonedds/issues/122>)
  * Add rmw_*_event_init() functions (#115 <https://github.com/ros2/rmw_cyclonedds/issues/115>)
  * Contributors: Dan Rose, Erik Boasson, Ivan Santiago Paunovic, Miaofei Mei, Sid Faber, dodsonmg, eboasson

 -- Erik Boasson <erik.boasson@adlinktech.com>  Tue, 15 Sep 2020 05:00:00 -0000

ros-dashing-rmw-cyclonedds-cpp (0.5.1-1bionic) bionic; urgency=high

  * Use a list instead of a set for node names list
  * Update for changes on Cyclone DDS security branch
  * Fix leak in client/service topic error handling
  * Fix sertopic referencing
  * Update usage of rmw_topic_endpoint_info_array (#101 <https://github.com/ros2/rmw_cyclonedds/issues/101>)
  * Correct std::hash return type sizes (#102 <https://github.com/ros2/rmw_cyclonedds/issues/102>)
  * Correct the coding style to pass CI test.
  * Update for cyclonedds changes needed for ros1 bridge
  * Fix MSBuild warnings C4146 and C4267
  * Add #if version >= 0.8.2 to fix ros2 dashing builds
  * Implementation for rmw_get_pub/sub_info_by_topic (#97 <https://github.com/ros2/rmw_cyclonedds/issues/97>)
  * Remove unused CMake extras (#84 <https://github.com/ros2/rmw_cyclonedds/issues/84>)
  * code style only: wrap after open parenthesis if not in one line (#95 <https://github.com/ros2/rmw_cyclonedds/issues/95>)
  * Support for deadline, lifespan and liveliness qos  (#88 <https://github.com/ros2/rmw_cyclonedds/issues/88>)
  * rmw_get_topic_endpoint_info doesn't exist on Dashing (#91 <https://github.com/ros2/rmw_cyclonedds/issues/91>)
  * dds_time_t instead of dds_duration_t for absolute time
  * Stubs for rmw_get_publishers_info_by_topic and rmw_get_subscriptions_info_by_topic (#81 <https://github.com/ros2/rmw_cyclonedds/issues/81>)
  * Cache serialization info when CDRWriter is constructed (#80 <https://github.com/ros2/rmw_cyclonedds/issues/80>)
  * Mark code that should be unreachable (#77 <https://github.com/ros2/rmw_cyclonedds/issues/77>)
  * Clean up topic namespace prefixes (#76 <https://github.com/ros2/rmw_cyclonedds/issues/76>)
  * Serialize into initialized memory, not vector (#75 <https://github.com/ros2/rmw_cyclonedds/issues/75>)
  * Rework serialization (#42 <https://github.com/ros2/rmw_cyclonedds/issues/42>)
  * Use rcutils_get_env() instead of getenv() (#71 <https://github.com/ros2/rmw_cyclonedds/issues/71>) (#72 <https://github.com/ros2/rmw_cyclonedds/issues/72>)
  * Contributors: Erik Boasson, Dan Rose, Ivan Santiago Paunovic, Dirk Thomas, Dennis Potman, Emerson Knapp, Michael Carroll

 -- Erik Boasson <erik.boasson@adlinktech.com>  Thu, 12 Mar 2020 05:00:00 -0000

ros-dashing-rmw-cyclonedds-cpp (0.4.4-1bionic) bionic; urgency=high

  * Minor CMakeLists cleanup
  * Contributors: Dan Rose

 -- Erik Boasson <erik.boasson@adlinktech.com>  Tue, 19 Nov 2019 06:00:00 -0000

ros-dashing-rmw-cyclonedds-cpp (0.4.3-1bionic) bionic; urgency=high

  * Address "Precondition not met" on rmw_create_node (#65 <https://github.com/ros2/rmw_cyclonedds/issues/65>) (#66 <https://github.com/ros2/rmw_cyclonedds/issues/66>)
  * Fix dashing breakage (#64 <https://github.com/ros2/rmw_cyclonedds/issues/64>)
  * Support localhost-only communications (#60 <https://github.com/ros2/rmw_cyclonedds/issues/60>)
  * Contributors: eboasson

 -- Erik Boasson <erik.boasson@adlinktech.com>  Wed, 13 Nov 2019 06:00:00 -0000

ros-dashing-rmw-cyclonedds-cpp (0.4.2-1bionic) bionic; urgency=high

  * Suppress a syntax error identified by cppcheck 1.89 (#59 <https://github.com/ros2/rmw_cyclonedds/issues/59>)
    Signed-off-by: Scott K Logan <mailto:logans@cottsay.net>
  * Make RMW version acceptable to MSVC (#58 <https://github.com/ros2/rmw_cyclonedds/issues/58>)
    GCC and Clang support the ternary operator in macros, MSVC does not.
    Signed-off-by: Erik Boasson <mailto:eb@ilities.com>
  * skip compilation of rmw_cyclonedds when cyclone dds is not found (#56 <https://github.com/ros2/rmw_cyclonedds/issues/56>)
    * skip compilation of rmw_cyclonedds when cyclone dds is not found
    Signed-off-by: Karsten Knese <mailto:karsten@openrobotics.org>
    * proper case and company name
    Signed-off-by: Karsten Knese <mailto:karsten@openrobotics.org>
    * linters
    Signed-off-by: Karsten Knese <mailto:karsten@openrobotics.org>
    * change ADLINK to Eclipse
    Signed-off-by: Karsten Knese <mailto:karsten@openrobotics.org>
  * remove executive flags from source code files
    Signed-off-by: Karsten Knese <mailto:karsten@openrobotics.org>
  * Contributors: Karsten Knese, Scott K Logan, eboasson

 -- Erik Boasson <erik.boasson@adlinktech.com>  Fri, 01 Nov 2019 05:00:00 -0000

ros-dashing-rmw-cyclonedds-cpp (0.4.1-1bionic) bionic; urgency=high

  * rename return functions
  * Solve the lint issue.
  * Add already obsoleted loaned message interfaces

