=== debian/control ===
Source: ros-dashing-rmw-cyclonedds-cpp
Section: misc
Priority: optional
Maintainer: Erik Boasson <erik.boasson@adlinktech.com>
Build-Depends: debhelper (>= 9.0.0), ros-dashing-ament-cmake-ros, ros-dashing-ament-lint-auto, ros-dashing-ament-lint-common, ros-dashing-cyclonedds, ros-dashing-cyclonedds-cmake-module, ros-dashing-rcutils, ros-dashing-rmw, ros-dashing-rosidl-generator-c, ros-dashing-rosidl-typesupport-introspection-c, ros-dashing-rosidl-typesupport-introspection-cpp, ros-dashing-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-dashing-rmw-cyclonedds-cpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-dashing-cyclonedds, ros-dashing-cyclonedds-cmake-module, ros-dashing-rcutils, ros-dashing-rmw, ros-dashing-rosidl-generator-c, ros-dashing-rosidl-typesupport-introspection-c, ros-dashing-rosidl-typesupport-introspection-cpp, ros-dashing-ros-workspace
Description: Implement the ROS middleware interface using Eclipse CycloneDDS in C++.
